const { gql } = require('apollo-server-express');

module.exports = gql`

    type Agent {
        id: ID!
        userId: String!
        status: Int
        module: Module!
        logs: [Log!]
        createdAt: DateTime!
        updatedAt: DateTime!
    }

    extend type Query {
        findAllEvents: [Event!]
        findEvent(eventId: String!): Event
    }

    extend type Mutation {
        createEvent(title:String!, moduleId: String!): CreateEventResponse
    }

    type CreateEventResponse {
        id: String!
        title: String!
        status: Int
        createdAt: DateTime!
        updatedAt: DateTime!
    }

`;